<html>

  <head>
    <title>Simple Polygon</title>
    <script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>
    <script type="module" src="api.js"></script>
    <link rel="stylesheet" type="text/css" href="api.css" />
  </head>

  <body>

    <div style="display: none">
      <input id="pac-input" class="controls" type="text" placeholder="Endereço ou descrição de local" />
      <input id="latlng"    class="controls" type="text" placeholder="Latitude, Longitude" />
    </div>

    <div id="map"></div>

    <div id="infowindow-content">
      <span id="place-name" class="title"></span><br />
      <strong>Place ID:</strong> <span id="place-id"></span><br />
      <span id="place-address"></span>
    </div>

    <!--
      The `defer` attribute causes the script to execute after the full HTML
      document has been parsed. For non-blocking uses, avoiding race conditions,
      and consistent behavior across browsers, consider loading using Promises. See
      https://developers.google.com/maps/documentation/javascript/load-maps-js-api
      for more information.
      -->
    <script defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyB41DRUbKWJHPxaFjMAwdrzWzbVKartNGg&callback=initMap&libraries=places&v=weekly"></script>

  </body>

</html>
